{% extends "dashboard/dashboard_header.html" %}

{% block head_block %}

{% endblock %}


{% block content %}

    {% include "dashboard/dashboard_sidebar.html" %}
    {% include "dashboard/dashboard_topnavigation.html" %}
    <div class="right_col" role="main" style="min-height: 812px;">
        <div id="rightpaneblock">
            <div class="se-pre-con"></div>
            {% block rightPane %}

            {% endblock %}

            <br>
            <br>
            <br>
            <br>
        </div>
    </div>
    <div id="message" class="modal fade" role="dialog">
        <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal">&times;</button>
                    <h4 class="modal-title">{{ modal.heading }}</h4>
                </div>
                <div class="modal-body">
                    <h2>{{ modal.body }}</h2>
                </div>
                <div class="clearfix"></div>
                <div class="modal-footer ">
                    <button type="button" class="btn btn-lg btn-primary" data-dismiss="modal">OK</button>
                </div>
            </div>
        </div>
    </div>

    <div id="reportmodal" class="modal fade" role="dialog">
        <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal">&times;</button>
                    <h4 class="modal-title">Bug / Feed Back</h4>
                </div>
                <div class="modal-body">
                    <form id="sendform" method="POST">{% csrf_token %}
                        <div class="col-md-12 col-sm-12 col-xs-12">
                            <div class="form-horizontal form-label-left">
                                <h5 class="alert-heading" style="word-wrap: break-word">
                                    Your comments will be sent to concerned <strong> Faculties </strong> and
                                    <strong>
                                        developers </strong>
                                </h5>
                                <p>
                                <ul style="word-wrap: break-word">
                                    <li>Use the textbox below to send us your suggestions/comments/bugs.</li>
                                    <li>We read all feedback carefully, but we may or may not respond to each submission
                                        individually.
                                    </li>
                                    <li>But we will definitely fix the bugs you report.</li>
                                </ul>
                                </p>

                                <br>

                                <div class="form-group">
                                    <textarea id="comment" class="form-control" type="text" name="comment"
                                              placeholder="Post ur comments here" rows="7" required></textarea>
                                </div>

                                <div class="form-group">
                                    <label class="control-label col-md-3 col-sm-3 col-xs-12">
                                    </label>
                                    <div class="col-md-6 col-sm-6 col-xs-12 col-md-offset-2">
                                        <button id="send" type="submit" class="btn btn-success">Submit</button>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </form>
                </div>
                <div class="clearfix"></div>
                <div class="modal-footer ">
                    <button type="button" class="btn btn-sm btn-default" data-dismiss="modal">Close</button>
                </div>
            </div>
        </div>
    </div>

    <div id="updatePopup" class="wrap-popup" style="position: fixed;">
        <div class='content'>
            <h2 style="color: #128059;font-weight: bold">WHAT'S NEW</h2>
            <div id="latestUpdates" style="color: #23624b;padding: 10px 30px; line-height: 35px">
                <i style="margin-left: 40px">No Updates Available</i>
            </div>
        </div>
    </div>

    <footer>
        <span id="whats-new" class="float-popup" onmouseover="$(this).css('cursor','pointer');">
            <i class="fa fa-envelope my-float-popup"></i>
        </span>
        <div class="label-container-popup">
            <div class="label-text-popup">What's New</div>
            <i class="fa fa-play label-arrow-popup"></i>
        </div>
        <div class="pull-right">

            <i class="fa fa-key"></i><a href="https://drive.google.com/open?id=0B79q4gNE65tUUVRiNXJqWUl6ckU">
            Manual </a>
            &nbsp;
            <i class="fa fa-bug"></i><a onmouseover="$(this).css('cursor','pointer');" id="reportbug"> Report Bug </a>
            &nbsp;
            &nbsp;
            <i class="fa fa-wrench"></i><a href={% url 'developers' %}> Developers </a>
        </div>
        <div class="clearfix"></div>
    </footer>

    <script src="https://ajax.googleapis.com/ajax/libs/jquery/1.5.2/jquery.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/modernizr/2.8.2/modernizr.js"></script>

    <script type="text/javascript">
        function opacity_popup() {
            if ($('#updatePopup').hasClass('active')) {
                $('#rightpaneblock').addClass('outer-opacity-popup');
            }
            else {
                $('#rightpaneblock').removeClass('outer-opacity-popup');
            }
        }

        $('document').ready(function () {
            $('.right_col').on('click', function () {
                if ($('#updatePopup').hasClass('active')) {
                    $('#updatePopup').removeClass('active');
                    opacity_popup();
                }
            });
        });
        $('document').ready(function () {
            var loaded = false;
            $('#whats-new').on('click', function () {
                if (loaded) {
                    $('#updatePopup').toggleClass('active');
                    opacity_popup();
                    return
                }
                $.ajax({
                    type: "POST",
                    data: {
                        csrfmiddlewaretoken: getCookie('csrftoken'),
                    },
                    url: '{% url 'getLatestUpdates' %}',
                    success: function (data) {
                        if (data.updatesAvailable == "true") {
                            document.getElementById('latestUpdates').innerHTML = "<ul>";
                            $.each(data.list, function (key, val) {
                                document.getElementById('latestUpdates').innerHTML += "<li>" + val.work + " - " + val.date + "</li>";
{#                                if (val.link_to_use) {#}
{#                                    document.getElementById('latestUpdates').innerHTML += "<a href=\"+ val.link_to_use +\">Click Me!</a>";#}
{#                                }#}
                            });
                            document.getElementById('latestUpdates').innerHTML += "</ul>";
                        }
                    }

                });
                loaded = true;
                $('#updatePopup').toggleClass('active');
                opacity_popup();
            });
        });

        $(document).keydown(function (e) {
            // ESCAPE key pressed
            if (e.keyCode == 27) {
                $('#updatePopup').removeClass('active');
                opacity_popup();
            }
        });

    </script>

    <script>
        //paste this code under head tag or in a seperate js file.
        // Wait for window load
        $(window).load(function () {
            // Animate loader off screen
            $(".se-pre-con").fadeOut("slow");
        });
    </script>

    <script type="text/javascript">
        $('document').ready(function () {
            {% if toggle_model %}
                $('#message').modal('show');
            {% endif %}
        });
        $('document').ready(function () {
            $(document).on("click", '#reportbug', function (e) {
                $('#reportmodal').modal('show');
            });
        });

        //For getting CSRF token
        function getCookie(name) {
            var cookieValue = null;
            if (document.cookie && document.cookie != '') {
                var cookies = document.cookie.split(';');
                for (var i = 0; i < cookies.length; i++) {
                    var cookie = jQuery.trim(cookies[i]);
                    // Does this cookie string begin with the name we want?
                    if (cookie.substring(0, name.length + 1) == (name + '=')) {
                        cookieValue = decodeURIComponent(cookie.substring(name.length + 1));
                        break;
                    }
                }
            }
            return cookieValue;
        }

        $('document').ready(function () {
            $(document).on("submit", '#sendform', function (e) {
                e.preventDefault();
                $('#reportmodal').hide();
                $.ajax({
                    type: "POST",
                    data: {
                        comment: $('#comment').val(),
                        csrfmiddlewaretoken: getCookie('csrftoken'),
                    },
                    url: '{% url 'reportbug' %}',
                    success: function (data) {
                        if (data.sent == 'true') {
                            $(function () {
                                new PNotify({
                                    title: 'Success',
                                    text: 'Comment submitted successfully',
                                    type: 'success',
                                    styling: 'bootstrap3',
                                    min_height: "20px",
                                    mobile: {'styling': true},
                                });
                            });
                            //alert('Your comment has been submitted successfully...');
                            window.location.reload();
                        }
                        else {
                            $('#reportmodal').show();
                            $(function () {
                                new PNotify({
                                    title: 'Oh Snap',
                                    text: 'Failed to submit',
                                    type: 'error',
                                    styling: 'bootstrap3',
                                    min_height: "20px",
                                    mobile: {'styling': true},
                                });
                            });
                            //alert('Failed to submit your comment.\nTry later...');
                        }
                    }
                });
            });
        });
    </script>

{% endblock %}